Subject: Re: Time for cell code reshuffle?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 23 Dec 2007 07:57:32 +1100

> A related question is what to do about the location of the other cell
> related files. platforms/ps3 is already pretty self-contained once we have
> spufs outside of platforms/cell, but there is still some code shared between
> platforms/cell and platforms/celleb, and each of these directories also contains
> code that is only relevant for a subset of the platforms.
> 
> My position on these files is that while I find the current state a little
> bit confusing, I don't have an idea how to do it better either, and I think
> we should just leave the platform files where they are.

Some of these files could do to syslib, like the io workarounds, rename
them spider-io-hacks :-)

Ben.